/*
 * Implements DevReg::DeviceNode.
 */

#include "libdevreg++.h"

DevReg::DeviceNode::DeviceNode(const string &interface, const string &filename)
{
	this->interface = interface;
	this->filename = filename;
}

const string &DevReg::DeviceNode::getInterface() const
{
	return interface;
}

const string &DevReg::DeviceNode::getFilename() const
{
	return filename;
}

